#include <p18cxxx.h>
#include <delays.h> //Library with delay functions
#include "delay_s.h"

void Delay1uS(unsigned int x)
{ 
//unsigned int us = x; //((float)x*0.633809147);
unsigned int i = 0;
while(1) {
if(i==x) break;
i++;
}
}

void Delay1mS(int x)
{ //Pre: Delay library is included.
//Post: Delay for x* 1 ms.
int i;
for (i=0; i<x; i++) Delay1KTCYx(12);
}

void Delay10mS(int x)
{ //Pre: Delay library is included.
//Post: Delay for x* 10 ms.
int i;
for (i=0; i<x; i++) Delay10KTCYx(12);
}

void Delay100mS(int x)
{ //Pre: Delay library is included.
//Post: Delay for x* 100 ms.
int i;
for (i=0; i<x; i++) Delay10KTCYx(120);
}

void Delay1S(int x)
{ //Pre: Delay library is included.
//Post: Delay for x* 1 s.
int i;
for (i=0; i<10*x; i++) Delay10KTCYx(120);
}


void DelayFor18TCY(void) // 18 Tcy delay
{
_asm 
//nop
//nop
//nop
_endasm
}

void DelayPORXLCD(void) // 15ms delay
{
//DelayForTCYx1K(180); // 0,015s * 48.000.000Hz / 4 / 1.000 = 180
Delay1mS(15);
}

void DelayXLCD(void) // 5ms delay
{
//DelayForTCYx1K(60); // 0,005s * 48.000.000Hz / 4 / 1.000 = 60
Delay1mS(5);
}